require cogl.inc
require cogl_abi_version.inc

PR = "r${BS_COGL_ABI_VERSION}"

LIC_FILES_CHKSUM = "file://COPYING;md5=4fbd65380cdd255951079008b364516c"


B = "${WORKDIR}/build"

SRCREV_FORMAT = "source"

PKG_CONFIG_PATH_prepend = "${STAGING_DIR_HOST}/${exec_prefix}/cogl-nopango/${baselib}/pkgconfig:"


AUTOTOOLS_AUXDIR = "${S}/build"

do_configure_prepend() {
#        mkdir -p ${AUTOTOOLS_AUXDIR} ${S}/po/
	cp ${STAGING_DATADIR}/gettext/config.rpath ${AUTOTOOLS_AUXDIR}/
	cp ${STAGING_DATADIR}/gettext/po/Makefile.in.in ${S}/po/
}

PV = "1.16.0+20140819T163329+5a3a58c-bs"
SRC_URI = "http://should-already-by-in-dl-dir/cogl-1.16.0+20140819T163329+5a3a58c-bs.tar.gz"
SRC_URI[sha256sum] = "8eb7419b8a47098feb1ee6453b11b8048caa8060670434d41446fca25159b13a"
S = "${WORKDIR}/cogl-${PV}"
