SECTION="kernel"
LICENSE="GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=d7810fab7487fb0aad327b76f1be7cd7"
PV = "5.0.20-1-g759f9f0-bs"
SRC_URI = "http://should-already-be-in-dl-dir/linux-3.3-5.0.20-1-g759f9f0-bs.tar.gz file://${BASE_MACHINE}.config file://sha256sign.py"
SRC_URI[sha256sum] = "546cd2ac7197b6d625f0399ce1855a14f24e49bb8461e3179e61b080f097d536"
COMPATIBLE_MACHINE = "cheetah(-td)?"
PN = "linux-bcm7425"

KERNEL_IMAGETYPE = "vmlinuz"
KERNEL_IMAGETYPE_arm = "zImage"
KERNEL_IMAGE_BASE_NAME = "${KERNEL_IMAGETYPE}"
KERNEL_OUTPUT_mipsel = "${KERNEL_IMAGETYPE}"

inherit kernel
PKG_kernel-image = "kernel-image"

DEPENDS += "lzop-native"

do_configure_prepend() {
	cp "${WORKDIR}/${BASE_MACHINE}.config" "${S}/.config"
}
