SECTION="kernel"
LICENSE="GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=d7810fab7487fb0aad327b76f1be7cd7"
PV = "5.0.25-bs"
SRC_URI = "http://should-already-be-in-dl-dir/linux-2.6-5.0.25-bs.tar.gz file://${BASE_MACHINE}.config file://sha256sign.py"
SRC_URI[sha256sum] = "3fbc4271d1c9daacd690db3cd88c5f6a1d19d5cc47887110ead348d483c03134"
COMPATIBLE_MACHINE = "panther(-td)?"
PN = "linux-bcm7425"

KERNEL_IMAGETYPE = "vmlinuz"
KERNEL_IMAGETYPE_arm = "zImage"
KERNEL_IMAGE_BASE_NAME = "${KERNEL_IMAGETYPE}"
KERNEL_OUTPUT_mipsel = "${KERNEL_IMAGETYPE}"

inherit kernel
PKG_kernel-image = "kernel-image"

DEPENDS += "lzop-native"

do_configure_prepend() {
	cp "${WORKDIR}/${BASE_MACHINE}.config" "${S}/.config"
}
