DESCRIPTION = "Libqrencode is a C library for encoding data in a QR Code symbol."
HOMEPAGE = "http://fukuchi.org/works/qrencode/"
SECTION = "libs"

SRC_URI = "http://fukuchi.org/works/qrencode/qrencode-${PV}.tar.gz \
           file://remove_sdl.patch \
           "

SRC_URI[md5sum] = "c56b3ed5a9df246ef11e5dc020bb4bec"

LICENSE = "LGPLv2.1"
S = "${WORKDIR}/qrencode-${PV}"
PR = "r2"

LIC_FILES_CHKSUM = "FILE://${S}/COPYING;md5=2d5025d4aa3495befef8f17206a5b0a1"

inherit autotools

EXTRA_OECONF = "--enable-shared=yes --enable-static=no --with-tools=no --with-tests=no"
