SRC_URI = "git://github.com/vincentbernat/lldpd.git;protocol=http;rev=797da1252a18672c3c6385127b9a1ad0cbf4073b;name=lldpd \
	git://github.com/libevent/libevent.git;protocol=http;name=libevent;destsuffix=git/libevent;rev=e826f19e05b65ffea1a1699160cee7516962c939 \
	file://snmp.patch \
	file://lldpd.sh \
	file://lldpd.conf"
LICENSE = "ISC"
LIC_FILES_CHKSUM = "file://README.md;start=247;end=259;md5=9aabe50b1ee1cab78adc3766dff37566"

DEPENDS += "net-snmp"

EXTRA_OECONF = "--with-snmp"

S = "${WORKDIR}/git"

do_install_append() {
	install -d ${D}${sysconfdir}/rc2.d
	install -m 0755 ${WORKDIR}/lldpd.sh ${D}${sysconfdir}/rc2.d/S71lldpd
	install -m 0755 ${WORKDIR}/lldpd.conf ${D}${sysconfdir}/lldpd.conf
}

inherit autotools useradd

USERADD_PACKAGES = "${PN}"
USERADD_PARAM_${PN} = "\
    --system --home / \
    --no-create-home --shell /bin/false \
    --user-group _lldpd"
