DESCRIPTION = "A mode switching tool for controlling 'flip flop' (multiple device) USB gear"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=94d55d512a9ba36caa9b7df079bae19f"

DEPENDS = "virtual/libusb0"

SRC_URI = "http://www.draisberghof.de/usb_modeswitch/usb-modeswitch-${PV}.tar.bz2"
SRC_URI[md5sum] = "f323fe700edd6ea404c40934ddf32b22"
SRC_URI[sha256sum] = "2752103de171ed5f6c8d6a6e3e73e16c9ee3e8e394dd39c5991f7680eb908a3a"

PR = "r1"

do_install() {
    sed 's_!/usr/bin_!'"${bindir}"'_' <usb_modeswitch.tcl >usb_modeswitch_dispatcher
    oe_runmake install DESTDIR=${D} PREFIX=${D}
    rm -rf ${D}share/man

}

FILES_${PN} = "${bindir} ${sysconfdir} ${base_libdir}/udev/usb_modeswitch ${sbindir} ${localstatedir}/lib/usb_modeswitch"
