DESCRIPTION = "Clutter graphics library"
HOMEPAGE = "http://www.clutter-project.org/"
LICENSE = "LGPLv2.1"

X11DEPENDS = "virtual/libx11 libxfixes gtk+ libxi"
STDDEPENDS = "gtk-doc-native pango glib-2.0 atk gdk-pixbuf cogl json-glib"
BASE_CONF = "--disable-gtk-doc ${@get_clutter_fpu_setting(bb, d)}"

DEPENDS = "${STDDEPENDS} virtual/libgl libxkbcommon"
DEPENDS_append_qemux86 = " ${X11DEPENDS}"
EXTRA_OECONF = "${BASE_CONF} --enable-egl-backend --enable-debug"
EXTRA_OECONF_qemux86 = "${BASE_CONF}"

FILESPATH = "${FILE_DIRNAME}/clutter"

inherit autotools pkgconfig gtk-doc gettext

GTKDOC_DOCDIR = "${S}"

#check for TARGET_FPU=soft and inform configure of the result so it can disable some floating points
require clutter-fpu.inc
