LICENSE = "CLOSED"

SRC_URI = "git://cam-git/clutter-tests;protocol=ssh;user=gitolite"

S = "${WORKDIR}/git"
SRCREV = "6b82ab450b693eecabc833e58a691810e15c5926"
PV = "0.0+1+git${SRCREV}"
PR = "r0"
DEPENDS = "clutter-egl-1.6"

PROGRAMS = "example example4 clcube effect"

do_compile() {
	for i in ${PROGRAMS}; do
		${CC} -o $i `pkg-config --cflags --libs clutter-egl-1.0` $i.c
	done
}

do_install() {
	install -d ${D}${bindir}
	for i in ${PROGRAMS}; do
		install -m 0755 $i ${D}${bindir}
	done
}
